#ifndef MONEY_H_
#define MONEY_H_

# define WIN_X			(600)
# define WIN_Y			(600)
# define BPP			(32)
# define DELAY			(50)
# define SIZE			(50)

# define FOVY_START		(100)
# define N				(50000)
# define MIN			(100)
# define TRUE			(1)
# define FALSE			(0)

# ifndef M_PI
#  define M_PI			(3.1415926535897932384626)
# endif

typedef struct			s_time
{
	float				act;
	float				last;
}						t_time;

typedef struct			s_3f
{
	float				x;
	float				y;
	float				z;
}						t_3f;

typedef struct			s_cam
{
    float				speed;
    float				sensib;
    t_3f				pos;
    t_3f				forward;
    t_3f				look;
    double				theta;
    double				phi;
    int					key_state[2];
}						t_cam;

SDL_Surface				*init_sdl();
void					init_gl(t_cam *cam);
char					handle_event(SDL_Event *event, t_cam *cam);
void					draw(t_cam *cam, GLUquadric *spheric, int elapsed_time);
void					ap_start(t_cam *cam);
void					move(t_cam *cam, int elapsed_time);

#endif /* MONEY_H_ */
