#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include "lorenz.h"

void		move(t_cam *cam, int elapsed_time)
{
    if (cam->key_state[0] == TRUE)
    {
        cam->pos.x += cam->forward.x * cam->speed * elapsed_time;
        cam->pos.y += cam->forward.y * cam->speed * elapsed_time;
        cam->pos.z += cam->forward.z * cam->speed * elapsed_time;

        cam->look.x = cam->forward.x + cam->pos.x;
        cam->look.y = cam->forward.y + cam->pos.y;
        cam->look.z = cam->forward.z + cam->pos.z;
    }
    else if (cam->key_state[1] == TRUE)
    {
        cam->pos.x -= cam->forward.x * cam->speed * elapsed_time;
        cam->pos.y -= cam->forward.y * cam->speed * elapsed_time;
        cam->pos.z -= cam->forward.z * cam->speed * elapsed_time;

        cam->look.x = cam->forward.x + cam->pos.x;
        cam->look.y = cam->forward.y + cam->pos.y;
        cam->look.z = cam->forward.z + cam->pos.z;
    }
}
